post
https://www.katapult.com/api/v3/user/auth/customer_phone_lookup/
The Katapult API allows retailers to search for existing Katapult account holders using phone number and SSN4.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Utilized to look up the existing customer details of katapult, you will add these details to look up customer details.
Request Attributes
| Attribute | Data Type | Description | Required Format |
|---|---|---|---|
| phone | string | Customer's Phone Number | 10 digit number |
| ssn4 | string | last four digits of the customer's social security number | 4 digit number |
Request Payload
{
"phone": "1234567890",
"ssn4": "1234"
}
Customer Phone Lookup Errors
| Error | HTTP status | Description |
|---|---|---|
| BAD REQUEST | 400 | phone or ssn4 Missing |
| NOT FOUND | 404 | ssn4 Does Not Match / No Such Application Exist For The Given Phone |
| UNAUTHORIZED | 401 | Invalid Authorization Token |
